import type { Express, Request, Response } from "express";
import type { GrafservConfig, RequestDigest } from "../../../interfaces.js";
import type { OptionsFromConfig } from "../../../options.js";
import { NodeGrafserv } from "../../node/index.js";
declare global {
    namespace GraphileConfig {
        interface GraphQLRequestContext {
            expressv4: {
                req: Request;
                res: Response;
            };
        }
    }
}
export declare class ExpressGrafserv extends NodeGrafserv {
    protected getDigest(dynamicOptions: OptionsFromConfig, req: Request, res: Response): RequestDigest;
    addTo(app: Express): void;
}
export declare function grafserv(config: GrafservConfig): ExpressGrafserv;
//# sourceMappingURL=index.d.ts.map