/// <reference types="koa-bodyparser" />
import type { Context } from "koa";
import type Koa from "koa";
import { GrafservBase } from "../../../core/base.js";
import type { GrafservConfig } from "../../../interfaces.js";
declare global {
    namespace GraphileConfig {
        interface GraphQLRequestContext {
            koav2: {
                ctx: Context;
            };
        }
    }
}
export declare class KoaGrafserv extends GrafservBase {
    constructor(config: GrafservConfig);
    createHandler(): (ctx: Context, next: (err?: Error) => void) => void;
    addTo(app: Koa): void;
}
export declare function grafserv(config: GrafservConfig): KoaGrafserv;
//# sourceMappingURL=index.d.ts.map