export declare function optionsFromConfig(config: GraphileConfig.ResolvedPreset): {
    outputDataAsString: boolean;
    graphqlPath: string;
    graphqlOverGET: boolean;
    graphiql: boolean;
    graphiqlOnGraphQLGET: boolean;
    graphiqlPath: string;
    watch: boolean;
    eventStreamRoute: string;
    maxRequestLength: number;
    explain: boolean | string[] | undefined;
};
export declare type OptionsFromConfig = ReturnType<typeof optionsFromConfig>;
//# sourceMappingURL=options.d.ts.map